Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032576
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2016-04-04 11:362017-08-23 08:41
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revision69d33f65c988
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032576: connection leak when printing Requisition report

DescriptionWhenever Requisition report is printed a DB connection is got from pool and never released.
Steps To Reproduce0. In DB (PG) execute: select * from pg_stat_activity where state = 'idle in transaction'
  -> Check there are no rows
1. Open Requisition window
2. Create a Requisition with at least one line
3. Print the Requisition by clicking the "Printer" icon in the toolbar
4. Execute again select * from pg_stat_activity where state = 'idle in transaction'
  -> Check there is one row

Each time step 3 is repeated, a new row will appear in the query. This means a new connection is set as idle in transaction state, these transactions are never closed.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0030182 acknowledgedplatform jasper subreports using DAL do leak connection + transactions 
related to feature request 0034816 closedcaristu Support a second database for reporting 
related to defect 0035193 closedcaristu Error fired when trying to print and attach a document 
related to defect 0035356 closedcaristu print & attach doc logs error using (old) commons jdbc pool 
related to defect 0036697 closedcaristu connection leak when printing a image on a jasper subreport using the Utility.showImage method 

-  Notes
(0085406)
hgbot (developer)
2016-04-04 11:53

Repository: erp/devel/pi
Changeset: 69d33f65c988d16d5f1864893c9030f0629e491b
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Apr 04 11:52:47 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/69d33f65c988d16d5f1864893c9030f0629e491b [^]

fixed bug 32576: connection leak when printing Requisition report

  Ensure methods used by Requisition subreports close DAL transaction after using
  it so that the connection is returned back to the pool.

---
M src/org/openbravo/erpCommon/utility/Utility.java
---
(0085413)
caristu (developer)
2016-04-04 12:43
edited on: 2016-04-04 12:43

Code review + testing OK.

- The transactions are now closed: there are not connections set as 'idle in transaction' state after printing the report.

- The report is printed properly.

(0087413)
hudsonbot (developer)
2016-06-17 19:36

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-04-04 11:36 alostale New Issue
2016-04-04 11:36 alostale Assigned To => platform
2016-04-04 11:36 alostale Modules => Core
2016-04-04 11:36 alostale Triggers an Emergency Pack => No
2016-04-04 11:37 alostale Relationship added related to 0030182
2016-04-04 11:37 alostale Status new => scheduled
2016-04-04 11:37 alostale Assigned To platform => alostale
2016-04-04 11:37 alostale Review Assigned To => caristu
2016-04-04 11:53 hgbot Checkin
2016-04-04 11:53 hgbot Note Added: 0085406
2016-04-04 11:53 hgbot Status scheduled => resolved
2016-04-04 11:53 hgbot Resolution open => fixed
2016-04-04 11:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/69d33f65c988d16d5f1864893c9030f0629e491b [^]
2016-04-04 12:31 alostale Tag Attached: Performance
2016-04-04 12:43 caristu Note Added: 0085413
2016-04-04 12:43 caristu Status resolved => closed
2016-04-04 12:43 caristu Fixed in Version => 3.0PR16Q3
2016-04-04 12:43 caristu Note Edited: 0085413 View Revisions
2016-06-17 19:36 hudsonbot Checkin
2016-06-17 19:36 hudsonbot Note Added: 0087413
2017-02-08 09:40 caristu Relationship added related to 0035193
2017-02-24 15:21 caristu Relationship added related to 0035356
2017-02-24 15:25 caristu Relationship added related to 0034816
2017-08-23 08:41 egoitz Issue cloned 0036697
2017-08-23 08:41 egoitz Relationship added related to 0036697


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker